Full documentation for this service is available at /documentation/buyer-service.
GetSellerInfo |WebMethod|
Returns seller information for the specified user.
Parameters
- userId, The id of a Tradera member.
Returns
The SellerInfo object that contains user information.If the user can not be found, null is returned
SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/BuyerService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: text/xml; charset=utf-8 SOAPAction: "http://api.tradera.com/GetSellerInfo" Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <GetSellerInfo xmlns="http://api.tradera.com"> <userId>userId</userId> </GetSellerInfo> </soap:Body> </soap:Envelope>
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <GetSellerInfoResponse xmlns="http://api.tradera.com"> <GetSellerInfoResult>The SellerInfo object that contains user information.If the user can not be found, null is returned</GetSellerInfoResult> </GetSellerInfoResponse> </soap:Body> </soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/BuyerService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <GetSellerInfo xmlns="http://api.tradera.com"> <userId>userId</userId> </GetSellerInfo> </soap12:Body> </soap12:Envelope>
HTTP/1.1 200 OK Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <GetSellerInfoResponse xmlns="http://api.tradera.com"> <GetSellerInfoResult>The SellerInfo object that contains user information.If the user can not be found, null is returned</GetSellerInfoResult> </GetSellerInfoResponse> </soap12:Body> </soap12:Envelope>
HTTP GET
The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.
GET /v3/BuyerService.asmx/GetSellerInfo?appId=string&appKey=string&userId=string HTTP/1.1 Host: api.tradera.com
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <GetSellerInfoResult xmlns="http://api.tradera.com">The SellerInfo object that contains user information.If the user can not be found, null is returned</GetSellerInfoResult>
HTTP POST
The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.
POST /v3/BuyerService.asmx/GetSellerInfo HTTP/1.1 Host: api.tradera.com Content-Type: application/x-www-form-urlencoded Content-Length: length appId=string&appKey=string&userId=string
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <GetSellerInfoResult xmlns="http://api.tradera.com">The SellerInfo object that contains user information.If the user can not be found, null is returned</GetSellerInfoResult>